summaryrefslogtreecommitdiffstats
path: root/tools/update/rtems-polish.sh
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>2000-01-07 14:47:02 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>2000-01-07 14:47:02 +0000
commit0ff37e686676453cfa6addb4ddfc71ada9e4c4dd (patch)
tree3fc6cce3c8bc312115a9849048d4502a1462f7a2 /tools/update/rtems-polish.sh
parentInitialize the attributes structure. Random data was causing the test (diff)
downloadrtems-0ff37e686676453cfa6addb4ddfc71ada9e4c4dd.tar.bz2
Patch rtems-rc-20000104-0.diff from Ralf Corsepius <corsepiu@faw.uni-ulm.de>
which is described below: This one is a (minor) patch in preparation of the upcoming patches. It actually is an excerpt of the upcoming patches and therefore is completely untested in this standalone form, but I don't expect it to break something. The essential changes in this patch are: * An update to rtems-polish.sh (Now can also be run in subdirectories) * A bug-fix for the libcpu/powerpc (A directory was missing from SUBDIRS in a Makefile.am) * An update to gensh2.cfg. * Cleanups/Enhancements to configuration files To apply: cd <srcdir> patch -p0 < rtems-rc-20000104-0.diff cvs rm -f c/src/lib/libbsp/Makefile.am.new
Diffstat (limited to 'tools/update/rtems-polish.sh')
-rwxr-xr-xtools/update/rtems-polish.sh28
1 files changed, 19 insertions, 9 deletions
diff --git a/tools/update/rtems-polish.sh b/tools/update/rtems-polish.sh
index 46c63b5aab..83e3d0e390 100755
--- a/tools/update/rtems-polish.sh
+++ b/tools/update/rtems-polish.sh
@@ -11,8 +11,14 @@
#
progname=`basename $0`
+rootdir=`dirname $0`
+
+# Get the absolute path to the perltools
+pwd=`pwd`
+cd $rootdir
+perltools=`pwd`
+cd $pwd
-perltools=tools/update
ac_do=""
am_do=""
ci_do=""
@@ -31,11 +37,15 @@ usage()
exit 1;
}
-if test ! -f VERSION; then
- echo "${progname}:"
- echo " Please change directory to RTEMS's toplevel directory"
- exit 1;
-fi
+# Check for auxillary files
+aux_files="../../VERSION ampolish acpolish cipolish"
+for i in ${aux_files}; do
+ if test ! -f ${perltools}/$i; then
+ echo "${progname}:"
+ echo " Missing $perltools/$i"
+ exit 1;
+ fi
+done
while test $# -gt 0; do
case $1 in
@@ -72,7 +82,7 @@ for f in $ac_files; do
echo "polishing : $dest/Makefile.in"
( cd $dest;
mv Makefile.in Makefile.in~;
- ${pwd}/${perltools}/acpolish <Makefile.in~ >Makefile.in
+ ${perltools}/acpolish <Makefile.in~ >Makefile.in
rm Makefile.in~
)
fi
@@ -87,7 +97,7 @@ for f in $am_files; do
echo "polishing : $dest/Makefile.am"
( cd $dest;
mv Makefile.am Makefile.am~;
- ${pwd}/${perltools}/ampolish <Makefile.am~ >Makefile.am
+ ${perltools}/ampolish <Makefile.am~ >Makefile.am
rm Makefile.am~
)
done
@@ -101,7 +111,7 @@ for f in $ci_files; do
echo "polishing : $dest/configure.in"
( cd $dest;
mv configure.in configure.in~;
- ${pwd}/${perltools}/cipolish <configure.in~ >configure.in
+ ${perltools}/cipolish <configure.in~ >configure.in
rm configure.in~
)
done